summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Alexander Verbovetsky <alik@ejik.org>2019-05-17 23:37:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-05-17 23:37:19 +0700
commit98108666af4bd1e69930e649ca09343714f44c8f (patch)
treea1334e60871574f86db41db1956136397cfd412e /office
parenta9e29d337c005afad7352f63da3560af04bc47b4 (diff)
downloadslackbuilds-98108666af4bd1e69930e649ca09343714f44c8f.tar.gz
slackbuilds-98108666af4bd1e69930e649ca09343714f44c8f.tar.xz
office/pdfstudio: Added (PDF Editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/pdfstudio/README45
-rw-r--r--office/pdfstudio/doinst.sh3
-rw-r--r--office/pdfstudio/pdfstudio.SlackBuild108
-rw-r--r--office/pdfstudio/pdfstudio.info14
-rw-r--r--office/pdfstudio/pdfstudio2019_userguide.pdfbin0 -> 6146354 bytes
-rw-r--r--office/pdfstudio/slack-desc19
6 files changed, 189 insertions, 0 deletions
diff --git a/office/pdfstudio/README b/office/pdfstudio/README
new file mode 100644
index 0000000000..23ae686cd2
--- /dev/null
+++ b/office/pdfstudio/README
@@ -0,0 +1,45 @@
+PDF Studio is an all-in-one, easy to use PDF editor that provides all
+PDF features needed at a fraction of the cost of Adobe Acrobat and other
+PDF editors. PDF Studio maintains full compatibility with the PDF
+Standard.
+
+PDF Studio is a commercial Java based program. It is available in
+Standard and Pro editions, and also as a free demo. The demo version
+adds watermarks to all edited PDFs.
+
+Key features of PDF Studio:
+
+ * Create PDFs
+ * Scan-To-PDF
+ * Annotate and Markup PDFs
+ * Precision Measuring Tools
+ * Fill In & Save PDF Forms
+ * Secure Documents
+ * Append / Delete Pages
+ * Create Watermarks, Headers, Footers
+ * Loupe, Pan & Zoom, Rulers, etc...
+ * Document Storage Integrations
+ * Docusign Integration
+ * Supports the new PDF 2.0 standards
+ * Interactive Form Designer
+ * OCR (Text Recognition)
+ * Inline text content editing with reflow
+ * Redact & Sanitize PDFs
+ * Compare PDFs
+ * Optimize PDFs
+ * Digitally Sign PDFs
+ * Advanced PDF Splitting & Merging
+ * Batch Process Multiple PDFs
+ * Tag PDFs for Accessibility (PDF/UA)
+ * PDF/A Validation / Conversion
+
+By default PDF Studio uses the system-wide Java.
+
+If you pass OWNJAVA=yes to the SlackBuild script:
+OWNJAVA=yes ./pdfstudio.SlackBuild
+a version of Java that comes packaged with PDF Studio will be installed
+under the PDF Studio installation directory, this Java will not be used
+by other programs.
+
+NOTE: The license of the sources don't permit free distribution, so sources
+must be coming from upstream project.
diff --git a/office/pdfstudio/doinst.sh b/office/pdfstudio/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/office/pdfstudio/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/office/pdfstudio/pdfstudio.SlackBuild b/office/pdfstudio/pdfstudio.SlackBuild
new file mode 100644
index 0000000000..d6cff72dc4
--- /dev/null
+++ b/office/pdfstudio/pdfstudio.SlackBuild
@@ -0,0 +1,108 @@
+#!/bin/sh
+
+# Slackware build script for pdfstudio
+
+# Copyright 2017-2019, Alexander Verbovetsky, Moscow, Russia
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pdfstudio
+VERSION=${VERSION:-2019.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+YEAR=${VERSION:0:4}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+case "$ARCH" in
+ i?86) DEBARCH="" ;;
+ x86_64) DEBARCH=64 ;;
+ *) printf "\n$ARCH is unsupported for the PDF Studio.\n\n"
+ exit 1 ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/PDFStudio_v${VERSION//./_}_linux${DEBARCH}.deb data.tar.gz | tar xvz
+mkdir -p usr/bin
+ln -s /opt/pdfstudio${YEAR}/pdfstudio${YEAR} usr/bin/pdfstudio
+
+mkdir -p usr/share/applications
+echo -e "[Desktop Entry]
+Type=Application
+Name=PDF Studio ${YEAR}
+Exec=/bin/sh "/opt/pdfstudio${YEAR}/pdfstudio${YEAR}"
+Icon=/opt/pdfstudio${YEAR}/.install4j/pdfstudio${YEAR}.png
+Terminal=false
+Categories=Office;
+MimeType=application/pdf;" \
+> usr/share/applications/${PRGNAM}${YEAR}.desktop
+
+mkdir -p usr/doc/$PRGNAM-$VERSION
+cp $CWD/pdfstudio${YEAR}_userguide.pdf usr/doc/$PRGNAM-$VERSION/
+
+if [ "${OWNJAVA:-no}" = "yes" ]; then
+ cd opt/pdfstudio${YEAR}/jre
+ for pack_file in lib/*.jar.pack; do
+ jar_file=`echo "$pack_file" | awk '{ print substr($0,1,length-5) }'`
+ bin/unpack200 -r "$pack_file" "$jar_file"
+ done
+ for pack_file in lib/ext/*.jar.pack; do
+ jar_file=`echo "$pack_file" | awk '{ print substr($0,1,length-5) }'`
+ bin/unpack200 -r "$pack_file" "$jar_file"
+ done
+ bin/java -Xshare:dump &>/dev/null
+ cd $PKG
+else
+ rm -rf opt/pdfstudio${YEAR}/jre
+fi
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+chmod 0755 $PKG
+
+for f in additionalcopyrights.html license.html; do
+ unzip -p opt/pdfstudio${YEAR}/lib/pdfstudio.jar \
+ resources/$f > usr/doc/$PRGNAM-$VERSION/$f
+done
+cat $CWD/$PRGNAM.SlackBuild > usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p install
+cat $CWD/slack-desc > install/slack-desc
+cat $CWD/doinst.sh > install/doinst.sh
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/pdfstudio/pdfstudio.info b/office/pdfstudio/pdfstudio.info
new file mode 100644
index 0000000000..6ba312cb5e
--- /dev/null
+++ b/office/pdfstudio/pdfstudio.info
@@ -0,0 +1,14 @@
+PRGNAM="pdfstudio"
+VERSION="2019.0.0"
+HOMEPAGE="https://www.qoppa.com/pdfstudio/"
+DOWNLOAD="https://download.qoppa.com/pdfstudio/v2019/PDFStudio_v2019_0_0_linux.deb \
+ https://www.qoppa.com/files/pdfstudio/guide/pdfstudio2019_userguide.pdf"
+MD5SUM="9d3b39f74bc0bbbe768b27a5755c343d \
+ 22ea5682c1f3e35f54c96453a317f1ef"
+DOWNLOAD_x86_64="https://download.qoppa.com/pdfstudio/v2019/PDFStudio_v2019_0_0_linux64.deb \
+ https://www.qoppa.com/files/pdfstudio/guide/pdfstudio2019_userguide.pdf"
+MD5SUM_x86_64="876cd0320ad1de369018e7532303beb6 \
+ 22ea5682c1f3e35f54c96453a317f1ef"
+REQUIRES="jdk %README%"
+MAINTAINER="Alexander Verbovetsky"
+EMAIL="alik@ejik.org"
diff --git a/office/pdfstudio/pdfstudio2019_userguide.pdf b/office/pdfstudio/pdfstudio2019_userguide.pdf
new file mode 100644
index 0000000000..d8afe70e36
--- /dev/null
+++ b/office/pdfstudio/pdfstudio2019_userguide.pdf
Binary files differ
diff --git a/office/pdfstudio/slack-desc b/office/pdfstudio/slack-desc
new file mode 100644
index 0000000000..a0b189b600
--- /dev/null
+++ b/office/pdfstudio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pdfstudio: pdfstudio (PDF editor)
+pdfstudio:
+pdfstudio: PDF Studio is an all-in-one, easy to use PDF editor that provides all
+pdfstudio: PDF features needed at a fraction of the cost of Adobe Acrobat and
+pdfstudio: other PDF editors. PDF Studio maintains full compatibility with the
+pdfstudio: PDF Standard.
+pdfstudio:
+pdfstudio: PDF Studio is a commercial Java based program. It is available in
+pdfstudio: Standard and Pro editions, and also as a free demo.
+pdfstudio:
+pdfstudio: Home page: https://www.qoppa.com/pdfstudio/